"use strict";

exports.__esModule = true;
exports.default = void 0;

/**
 * Remove "use strict" directives.
 * Apply this for code that will be run in a strict environment (ES Modules or global Strict Mode).
 */
var _default = ({
  types: t
}) => ({
  name: 'transform-implicit-strict',
  visitor: {
    Directive(path) {
      const value = path.node.value;

      if (t.isDirectiveLiteral(value) && value.value === 'use strict') {
        path.remove();
      }
    }

  }
});

exports.default = _default;
module.exports = exports.default;